/*
| -----------------------------------------------------------------------------
| Filename: systime.c
|
| Author:       Thomas Lampart  (lamparts@autolife.informatik.uni-stuttgart.de)
|
| Description: 
| This is a RoBiOS demo user program
| It`s a very simple example.
| -----------------------------------------------------------------------------
*/

#include "eyebot.h"
timestamp ostime;

int main ()
{
   LCDPrintf("System time:\n");
   while (!KEYRead())
   {
      OSGetTime(&ostime.hrs,&ostime.mins,&ostime.secs,&ostime.ticks);
      LCDPrintf("%2d:%2d:%2d:%2d\r",ostime.hrs,ostime.mins,ostime.secs,ostime.ticks);                
   }
	
   LCDPrintf("\nKeyPressed !\n");
   return 0;
}

